For the complete documentation index, see llms.txt. This page is also available as Markdown.

Mängel

Mängel abrufen

Version 1.2


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
limitinteger · int32OptionalExample: 20
offsetinteger · int32Optional
defectIdinteger · int32Optional
defectIdNumstringOptional
useUnitIdinteger · int32Optional
useUnitNumberstringOptional
useUnitActiveOnstring · date-timeOptional
buildingIdinteger · int32Optional
buildingIdNumstringOptional
economicUnitIdinteger · int32Optional
economicUnitIdNumstringOptional
isSolvedbooleanOptional
showNullValuesbooleanOptionalDefault: false
Antworten
200

OK

Idinteger · int32Optional
Namestring · nullableOptional
IdNumstring · nullableOptional
Descriptionstring · nullableOptional
IsSolvedbooleanOptional
RemediationRefusedbooleanOptional
DueUntilstring · date · nullableOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
TimeCreatestring · date · nullableOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
TimeDamagestring · date · nullableOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
get/openwowi/v1.2/CommercialInventory/Defects
GET /openwowi/v1.2/CommercialInventory/Defects HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "Id": 1,
    "Name": "text",
    "IdNum": "text",
    "Description": "text",
    "IsSolved": true,
    "RemediationRefused": true,
    "DueUntil": "2026-10-15",
    "TimeCreate": "2026-10-15",
    "TimeDamage": "2026-10-15",
    "EconomicUnit": {
      "Id": 1,
      "IdNum": "text",
      "Name": "text",
      "Location": "text"
    },
    "Building": {
      "Id": 1,
      "IdNum": "text"
    },
    "UseUnit": {
      "Id": 1,
      "UseUnitNumber": "text"
    },
    "Component": {
      "Id": 1,
      "Name": "text"
    },
    "Facility": {
      "Id": 1,
      "Name": "text"
    },
    "PreviousDefect": {
      "Id": 1,
      "IdNum": "text"
    },
    "Commission": {
      "Id": 1,
      "IdNum": "text",
      "Code": "text",
      "RecordingDate": "2026-10-15",
      "ReleaseDate": "2026-10-15",
      "PlacingDate": "2026-10-15",
      "AcceptanceDate": "2026-10-15",
      "CompletionDate": "2026-10-15",
      "CommissionType": {
        "Id": 1,
        "Code": "text"
      },
      "CommissionStatus": {
        "Id": 1,
        "Code": "text"
      }
    },
    "Handover": {
      "Id": 1,
      "IdNum": "text"
    },
    "RestorationDuty": {
      "Id": 1,
      "Type": "text",
      "Code": "text"
    }
  }
]

Zuletzt aktualisiert